import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { RegisterComponent } from './register/register.component';

const routes: Routes = [
  // No logged pages
  { path: '', component: HomeComponent, },
  { path: 'register', component: RegisterComponent },
  // {
  //   path: 'login',
  //   component: LoginComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Créez-vous ou connectez-vous à votre compte',
  //     description: 'Venez vous créer un compte sur notre platforme, grâce à notre application web et mobile vous serez prêt pour tout' +
  //       'les cas de figure',
  //     noindex: true,
  //     nofollow: true,
  //   },
  // },
  // {
  //   path: 'verification/:id',
  //   component: VerificationComponent,
  //   data: {
  //     noindex: true,
  //     nofollow: true,
  //   },
  // },
  // {
  //   path: 'password/:id',
  //   component: PasswordComponent,
  //   data: {
  //     noindex: true,
  //     nofollow: true,
  //   },
  // },
  //
  // // Logged pages
  // {
  //   path: 'dashboard',
  //   component: DashboardComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Mom dashboard',
  //   },
  // },
  // {
  //   path: 'vehicles',
  //   component: CarsComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Mes véhicules',
  //   },
  // },
  // {
  //   path: 'reports',
  //   component: ReportsComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Mes constat',
  //   },
  // },
  // {
  //   path: 'reports/:id',
  //   component: ReportDetailsComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Détail d\'un constat',
  //   },
  // },
  // {
  //   path: 'profile',
  //   component: ProfileComponent,
  //   canActivate: [ AuthGuard ],
  //   data: {
  //     title: 'Mon Profil',
  //   },
  // },
];

@NgModule( {
  imports: [ RouterModule.forRoot( routes ) ],
  exports: [ RouterModule ]
} )
export class AppRoutingModule {
}
