import { Component, Input, OnInit } from '@angular/core';

@Component( {
  selector: 'app-card-dashboard',
  templateUrl: './card-dashboard.component.html',
  styleUrls: [ './card-dashboard.component.css' ]
} )
export class CardDashboardComponent implements OnInit {

  public matCardClass: string;
  @Input() private position: string;

  constructor() {
  }

  ngOnInit() {
    if ( this.position === 'first' ) {
      this.matCardClass = 'left';
    } else {
      this.matCardClass = 'right';
    }
  }

}
